Insight Remote Support
cancel
Showing results for 
Search instead for 
Did you mean: 

JAVA and ISEE

SOLVED
Go to solution
Rick Garland
Honored Contributor

JAVA and ISEE

Hi all:

I have various systems (HPUX 11.11 & 11.23) with RST Java Runtime13 - it is tied to the ISEE.

Is there an update to the ISEE for the DST change?
5 REPLIES
Liem Nguyen
Honored Contributor
Solution

Re: JAVA and ISEE


Hi Rick,

I assume you have older ISEE version, the current version (A.03.95.500) comes with Java 1.4:

# swlist -l product | grep -i isee
Cpumap A.01.01.006 ISEE HP-UX Cpumap Collection
ISEE A.03.95.500.28 ISEE
ISEE-Chorus A.5.1.395.500.28 ISEE-Chorus
ISEE-Java A.01.40.20 RST Java Runtime 1.4
ISEE-SysInfo A.01.00.27 ISEE SysInfo
Isee_EmsListener A.11.10.06 ISEE TCP listener for EMS events

Hope this helps,
Rick Garland
Honored Contributor

Re: JAVA and ISEE

Thanks much!
Liem Nguyen
Honored Contributor

Re: JAVA and ISEE

Rick,

In addition to your question, the current ISEE version comes with Java 1.4.20, even though, this version is NOT DST Compliant either, however, I am told that "It doesn't appear that the version of ISEE JRE will be an issue because all time/date calculations are performed in UTC and are independent of timezone changes. I've requested conformation from an R&D manager and am awaiting for his response."

Please hang on, we will have the confirmation soon.

Regards,
Rick Garland
Honored Contributor

Re: JAVA and ISEE

Liem:

Thanks for the info - I am hoping to get the information as well.

Again - thanks
Liem Nguyen
Honored Contributor

Re: JAVA and ISEE

Hello Rick,

To setup ISEE to work with DST:

1. Open /opt/hpservices/etc/motprefs and look for JVM_LOC=/opt/java1.4/jre/bin/java, this is the Java copy that ISEE is using. NOTE: Your Server may point to different location than what I have above.

2. Run /opt/java1.4/jre/bin/java -version, this will show Java version. If the version is less than 1.4.2.11, continue to next step.

3. Install or use tzupdate to bring Java up to 1.4.2.11 or 1.4.2.12. See:
<<>>

4. Modify JVM_LOC and point to the location where you have Java DST Compliant.

5. Lastly, stop/start hpservices.

Regards,